
public interface  VertexPQ {

    //ritorna "true" se la coda e' vuota
  public boolean isEmpty();

    //ritorna "true" se il vertice "v" e' contenuto nella coda
  public boolean isIn(int v);

    //ritorna la priorita'(distanza) associata al vertice "v" 
  public int dis(int v);
  
    //inserisce nella coda il vertice "v" con l'associata priorita' "d" 
  public void insert(int v, int d );
  
    //modifica la priorita' "d" associata al vertice "v" 
  public void update(int v, int d );

    //estrae dalla coda il vertice con associata' priorita' massima
    //estrae il vertice "v" con associato il piu' piccolo valore di "dis(v)" 
  public int extractMin();
  
  public void print();
  
}   
